Page Summary
-
This operation updates a datafeed configuration for a specific Merchant Center account, removing any unspecified fields.
-
It uses an HTTP PUT request to the specified endpoint with
merchantIdanddatafeedIdas path parameters. -
The request body should contain a
Datafeedobject specifying the desired configuration. -
A successful response returns the updated
Datafeedobject. -
Authorization requires the
https://www.googleapis.com/auth/contentscope.
Updates a datafeed configuration of your Merchant Center account. Any fields that are not provided are deleted from the resource.
HTTP request
PUT https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/datafeeds/{datafeedId}
Path parameters
| Parameters | |
|---|---|
merchantId |
The ID of the account that manages the datafeed. This account cannot be a multi-client account. |
datafeedId |
The ID of the datafeed. |
Request body
The request body contains an instance of Datafeed.
Response body
If successful, the response body contains an instance of Datafeed.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.